;****************************************************************************
; PIC16C62x Family Header
;       Copyright 1995, 1998 microEngineering Labs, Inc.
;****************************************************************************

					; *** Default Device Specifications
		DEVICE  3FFF3FFFh       ; All Fuse Bits On
                DEVICE  50010000h       ; 14-Bit, 512 Code, 0 EE, ID = 0

					; *** DEVICE Device Definitions
PIC16C620       equ     50010000h       ; 14-Bit, 512 Code, 0 EE, ID = 0
PIC16C621       equ     50020001h       ; 14-Bit,  1K Code, 0 EE, ID = 1
PIC16C622       equ     50040002h       ; 14-Bit,  2K Code, 0 EE, ID = 2

					; *** DEVICE Fuses Definitions
RC_OSC          equ     3FFC0003h       ; XX XXXX XXXX XX11
HS_OSC          equ     3FFC0002h       ; XX XXXX XXXX XX10
XT_OSC          equ     3FFC0001h       ; XX XXXX XXXX XX01
LP_OSC          equ     3FFC0000h       ; XX XXXX XXXX XX00
WDT_ON          equ     3FFB0004h       ; XX XXXX XXXX X1XX
WDT_OFF         equ     3FFB0000h       ; XX XXXX XXXX X0XX
PWRT_OFF        equ     3FF70008h       ; XX XXXX XXXX 1XXX
PWRT_ON         equ     3FF70000h       ; XX XXXX XXXX 0XXX
PROTECT_OFF     equ     00CF3F30h       ; 11 1111 XX11 XXXX
PROTECT_ON      equ     00CF0000h       ; 00 0000 XX00 XXXX
BOD_ON          equ     3FBF0040h       ; XX XXXX X1XX XXXX
BOD_OFF         equ     3FBF0000h       ; XX XXXX X0XX XXXX

					; *** Register Names
INDF            equ     00h             ; Indirect Data
TMR0            equ     01h             ; Real Time Clock/Counter
PCL             equ     02h             ; Program Counter (LSB)
STATUS          equ     03h             ; Status Flags
FSR             equ     04h             ; File Select Register
PORTA           equ     05h             ; Port A Data
RA              equ     05h
PORTB           equ     06h             ; Port B Data
RB              equ     06h
PCLATH          equ     0Ah             ; Program Counter (MSB)
INTCON          equ     0Bh             ; Interrupt Control
PIR1            equ     0Ch             : Peripheral Interrupt Flags 1
CMCON           equ     1Fh             ; Comparator Control
OPTION_REG      equ     81h             ; OPTION Register
TRISA           equ     85h             ; Port A Tristate Control
TRISB           equ     86h             ; Port B Tristate Control
PIE1            equ     8Ch             ; Peripheral Interrupt Enables 1
PCON            equ     8Eh             ; Power Control
VRCON           equ     9Fh             ; Voltage Reference Control

					; *** STATUS Bits
C               equ     0               ; Carry
DC              equ     1               ; Digit (Half) Carry
Z               equ     2               ; Zero
PD              equ     3               ; Power Down
TO              equ     4               ; Time Out
RP0             equ     5               ; Direct Data Page Select 0
RP1             equ     6               ; Direct Data Page Select 1
IRP             equ     7               ; Indirect Data Page Select

					; *** INTCON Bits
RBIF            equ     0               ; PORTB[4..7] Change Interrupt Flag
INTF            equ     1               ; RB0/INT Interrupt Flag
T0IF            equ     2               ; TMR0 Overflow Interrupt Flag
RBIE            equ     3               ; PORTB[4..7] Change Interrupt Enable
INTE            equ     4               ; RB0/INT Interrupt Enable
T0IE            equ     5               ; TMR0 Overflow Interrupt Enable
PEIE            equ     6               ; Peripheral Interrupt Enable
GIE             equ     7               ; Global Interrupt Enable

					; *** PIR1 Bits
CMIF            equ     6               ; Comparator Interrupt Flag

					; *** CMCON Bits
CM0             equ     0               ; Comparator Mode (2 Bits)
CM1             equ     1
CM2             equ     2
CIS             equ     3               ; Comparator Input Select
C1OUT           equ     6               ; Comparator Output 1
C2OUT           equ     7               ; Comparator Output 2

					; *** OPTION Bits
PS0             equ     0               ; Prescaler Divisor Select (3 Bits)
PS1             equ     1
PS2             equ     2
PSA             equ     3               ; Prescaler Assignment
T0SE            equ     4               ; Timer0 Source Edge Select
T0CS            equ     5               ; Timer0 Clock Source Select
INTEDG          equ     6               ; RB0/INT Edge Select
RBPU            equ     7               ; Port B Weak Pull-Up Enable

					; *** PIE1 Bits
CMIE            equ     6               ; Comparator Interrupt Enable

					; *** PCON Bits
BOR             equ     0               ; Brown-Out Reset Flag
POR             equ     1               ; Power-On Reset Flag

					; *** VRCON Bits
VR0             equ     0               ; VRef Select (4 Bits)
VR1             equ     1
VR2             equ     2
VR3             equ     3
VRR             equ     5               ; VRef Range Select
VROE            equ     6               ; VRef Output Enable
VREN            equ     7               ; VRef Enable
